#
# spec file for package iscsitarget (Version 0.4.17)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           iscsitarget
BuildRequires:  kernel-dummy openssl-devel
Url:            http://iscsitarget.sourceforge.net
License:        LGPL v2.1 or later
Group:          System/Daemons
PreReq:         %fillup_prereq %insserv_prereq /bin/cat /bin/rm
AutoReqProv:    on
Version:        0.4.17
Release:        3.5.1
Requires:       kernel
Summary:        Open Source iSCSI Target with Professional Features
Source:         %{name}-0.4.15.tar.gz
Source1:        %{name}.init
Patch1:         %{name}-svn-142.diff
Patch2:         %{name}-svn-214.diff
Patch3:         %{name}-isns-bounds-checking
Patch10:        %{name}-suse-build-fix
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The aim of the project is to develop an open source iSCSI target with
professional features that works well in enterprise environment under
real workload and is scalable and versatile enough to meet the
challenge of future storage needs and developments.



Authors:
--------
    iscsitarget-devel@lists.sourceforge.net

%prep
%setup -n %{name}-0.4.15
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch10 -p1

%build
%{__make} KVER=$(uname -r) CFLAGS="${RPM_OPT_FLAGS} -I../include" bindir=/usr/sbin usr

%install
%{__make} KVER=$(uname -r) DISTDIR=${RPM_BUILD_ROOT} install-usr
%{__make} KVER=$(uname -r) DISTDIR=${RPM_BUILD_ROOT} MANDIR=%{_mandir} install-man
install -vD -m 644 etc/ietd.conf ${RPM_BUILD_ROOT}/etc/ietd.conf
install -vD -m 644 etc/initiators.allow ${RPM_BUILD_ROOT}/etc/initiators.allow
install -vD -m 644 etc/initiators.deny ${RPM_BUILD_ROOT}/etc/initiators.deny
install -vD -m 755 %{S:1} ${RPM_BUILD_ROOT}/etc/init.d/iscsitarget
ln -sf ../../etc/init.d/iscsitarget $RPM_BUILD_ROOT/usr/sbin/rciscsitarget

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}
rm -f filelist

%post
%{fillup_and_insserv iscsitarget}

%postun
%{insserv_cleanup}

%files
%attr(755,root,root)/usr/sbin/*
%attr(755,root,root)/etc/init.d/*
%defattr(-,root,root)
%config(noreplace) /etc/ietd.conf
%config /etc/initiators.*
%doc COPYING README
%doc %{_mandir}/man5/*
%doc %{_mandir}/man8/*

%changelog
* Wed Aug  4 2010 hare@suse.de
- Fixup iSNS bounds checking (bnc#618574)
* Fri Jul 10 2009 hare@suse.de
- Update to version 0.4.17
- Update to svn r214 (bnc#518610)
* Tue Apr 22 2008 hare@suse.de
- Don't overwrite the configfile on update (bnc#372637)
* Mon Nov 12 2007 hare@suse.de
- Update to version 0.4.15 (FATE #302153)
- update to svn r148.
- Fix build.
* Thu Feb 15 2007 hare@suse.de
- Fix compilation on ia64.
* Fri Feb  9 2007 hare@suse.de
- update to svn r94
  * Fix connection to iSNS daemon (#242639)
* Mon Nov  6 2006 hare@suse.de
- Remove networking tweaks to increase performance (#211634)
* Wed May 31 2006 hare@suse.de
- Pull in fixes from upstream to prevent kernel oops [#179557]
* Mon May 22 2006 hare@suse.de
- Set mode for /etc/ietd.conf to 600 [#177081]
* Thu May 18 2006 kukuk@suse.de
- Fix return code of init script [#176186]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 hare@suse.de
- Update to official version 0.4.13
* Thu Nov  3 2005 hare@suse.de
- Update to svn r1262, version 0.4.13
* Sun Sep 11 2005 aj@suse.de
- Correct rciscsitarget link.
- Do not depend on kernel-source and kernel-syms since those are
  not needed.
* Wed Sep  7 2005 hare@suse.de
- Update to svn r1247
- Fix init script (#114386)
* Wed Jul  6 2005 hare@suse.de
- Initial version 0.4.11
